#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	IO
%define		pnam	Interactive
%include	/usr/lib/rpm/macros.perl
Summary:	IO::Interactive - Utilities for interactive I/O
Name:		perl-IO-Interactive
Version:	0.0.6
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6ca9b8b8afc8b7d5e85985ea864d2431
URL:		http://search.cpan.org/dist/IO-Interactive/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides three utility subroutines that make it easier to
develop interactive applications...



%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed May 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Interactive.git;a=log;h=master

* Wed May 08 2013 Kacper Kornet <draenog@pld-linux.org> f27706a
- fix Source0-md5 line in spec

* Wed Mar 27 2013 Sławomir Paszkiewicz <paszczus@pld-linux.org> 1e720fd
- initial

